Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 79521

Summary: nfslock init script not looking for running processes
Product: [Retired] Red Hat Linux Reporter: Need Real Name <elackner>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED NEXTRELEASE QA Contact: Ben Levenson <benl>
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-08-04 20:09:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
A patch that stop multiple statds from starting
none
Update patch none

Description Need Real Name 2002-12-12 17:55:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
When running 'service nfslock start', the init script does not do a check to see
if there is already another process running.  Each time this command is run,
another process is spawned.  When running 'service nfslock status', a new PID is
listed every time a new service/process is spawned.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.service nfslock status
2.record pid
3.service nfslock start
4.service nfslock status
5.compare pid(s)
6.repeat
	

Actual Results:  You end up having multiple instances of the process running as
you initiate the service start command.

Expected Results:  You should have a check run to see if there is a process
running already.  If there is a process already running, the service/process
should not add another process.

Additional info:

Comment 1 Daniel Walsh 2002-12-13 15:55:10 UTC
I have added a check to the service init script to check if it is already running.
nfs-utils-1_0_1-2_8 has the fix.

Comment 2 Steve Dickson 2002-12-17 14:59:42 UTC
Created attachment 88781 [details]
A patch that stop multiple statds from starting

- Added the dropping of a pid file to stop statd
  from starting when there is already a process running.
- During startup, the parent now delays to ensure
  the child gets started. This allow the parent to
  report the correct status back to the rc init scripts.

Comment 3 Steve Dickson 2002-12-18 12:22:31 UTC
Created attachment 88793 [details]
Update patch

Comment 4 Bill Nottingham 2006-08-04 20:09:29 UTC
Red Hat Linux and Red Hat Powertools are currently no longer supported by Red
Hat, Inc. In an effort to clean up bugzilla, we are closing all bugs in MODIFIED
state for these products.

However, we do want to make sure that nothing important slips through the
cracks. If, in fact, these issues are not resolved in a current Fedora Core
Release (such as Fedora Core 5), please open a new issues stating so. Thanks.